/*
 * Sonar, entreprise quality control tool.
 * Copyright (C) 2007-2008 Hortis-GRC SA
 * mailto:be_agile HAT hortis DOT ch
 *
 * Sonar is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 3 of the License, or (at your option) any later version.
 *
 * Sonar is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with {library}; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02
 */
package ch.hortis.sonar.web.listener;

import java.util.Collections;
import java.util.HashMap;
import java.util.Map;
import java.util.Set;

public class SonarContext {

  private final static SonarContext INSTANCE = new SonarContext();
  
  public final static String JDBC_DIALECT_CONTEXT_KEY = "jdbc-dialect";
  
  private Map<String, String> values = Collections.synchronizedMap( new HashMap<String, String>() );
  
  public static SonarContext getInstance() {
    return INSTANCE;
  }
  
  private SonarContext() {}

  public void put(String key, String value) {
    if ( !values.containsKey(key) ) {
      values.put(key, value);
    }
  }
  
  public void remove(String key) {
    values.remove(key);
  }
  
  public Set<String> keys() {
    return values.keySet();
  }
  
  public String get(String key) {
    return values.get(key);
  }
  
  public void destroy() {
    values.clear();
  }
  
}
